#include <stdio.h>
int main()
{
    long int A,B,C;
    scanf("%ld%ld",&B,&C);
    if (B<0 || C<0)
        return 0;
    else if (B<0 && C<0)
        return 0;
    else if (B>500 || C>500)
        return 0;
    else if (B>500 && C>500)
        return 0;
    if (C>=256 || B>=256)
    {
        A=0;
        printf("%ld", A);
        return 0;
    }
    else if (C>=256 && B>=256)
    {
        A=0;
        printf("%ld", A);
        return 0;
    }
    if (C>B)
        A=256-C;
    else
        A=256-B;
    printf("%ld", A);
}